> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# `POST /api/v1/invoices/:id/payments`

> `POST /api/v1/invoices/:id/payments`

### Path parameters

<ParamField path="id" type="string" required>
  Invoice ID (UUID)
</ParamField>

### Request body

`RecordInvoicePaymentRequest`

<ParamField body="amount" type="string" required />

<ParamField body="notes" type="string,null" />

<ParamField body="payment_method" type="string,null" />

<ParamField body="reference" type="string,null" />

### Responses

<ResponseField name="200" type="InvoiceResponse">
  Payment recorded on invoice
</ResponseField>

<ResponseField name="404" type="ErrorBody">
  Invoice not found
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url 'https://api.stateset.com/api/v1/invoices/{id}/payments' \
    --header 'Authorization: Bearer YOUR_API_KEY' \
    --header 'Content-Type: application/json' \
    --data '{
    "amount": "string",
    "notes": null,
    "payment_method": null,
    "reference": null
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "amount_paid": "string",
    "balance_due": "string",
    "created_at": "2026-07-24T12:00:00Z",
    "currency": "string",
    "customer_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "due_date": "2026-07-24T12:00:00Z",
    "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "invoice_date": "2026-07-24T12:00:00Z",
    "invoice_number": "string",
    "invoice_type": "string",
    "order_id": null,
    "status": "string",
    "subtotal": "string",
    "tax_amount": "string",
    "total": "string",
    "updated_at": "2026-07-24T12:00:00Z"
  }
  ```
</ResponseExample>
